Board Quick Filters
5 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
Create a quick filter for a board#
POST
/boards/{boardId}/quick-filtersTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
namePflicht | string | |
queryPflicht | string | |
description | object | – |
sort_order | number | |
is_enabled | boolean |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"My Tasks","query":"assignee:me"}'Update a quick filter#
PATCH
/boards/{boardId}/quick-filters/{filterId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
filterIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
name | string | |
query | string | |
description | object | – |
sort_order | number | |
is_enabled | boolean |
Antworten
- 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters/{filterId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"My Tasks","query":"assignee:me","description":{}}'Delete a quick filter#
DELETE
/boards/{boardId}/quick-filters/{filterId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
filterIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters/{filterId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Reorder quick filters for a board#
PUT
/boards/{boardId}/quick-filters/reorderTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
quick_filtersPflicht | QuickFilterOrderItemDto[] | – |
quick_filters[].idPflicht | string (uuid) | – |
quick_filters[].sort_orderPflicht | number |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters/reorder" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"quick_filters":[]}'Set active/inactive state of a quick filter for the current user#
PUT
/boards/{boardId}/user-state/quick-filters/{filterId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
filterIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
is_activePflicht | boolean |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/user-state/quick-filters/{filterId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"is_active":"true"}'